Subject: Bug#1387: [X2Go-Dev] Bug#1387: Menus of applications open in the wrong display (single application mode, two displays)

From: Aki Ketolainen <[email-masked]>
Date: Mon, 06 May 2019 13:39:46 +0000

No, it's 

$ nxagent -version
NXAGENT - Version 3.5.99.17 

Maybe all that's needed is an update? The OS is CentOS 6.10. 

Best regards, 

Aki 

On 2019-05-06 13:22, Ulrich Sibiller wrote:

> Do you have (the current) nxagent 3.5.99.20? I have fixed this some time ago. If this is still happening we need to do some further investigation. 
> 
> Uli 
> 
> Lohn24 Technik Lohn24 Abrechnungsgesellschaft mbH <[email-masked]> schrieb am Mo., 6. Mai 2019, 14:07: 
> 
>> I can confirm the behavior for icewm sometimes ...
>> 
>> ----------------ursprüngliche Nachricht-----------------
>> Von:Aki Ketolainen [[email-masked]]
>> An:[email-masked]
>> Datum:Mon, 06 May 2019 11:19:12 +0000
>> -------------------------------------------------
>> 
>>> Package:x2goclient
>>> Version:4.1.2.0
>>> 
>>> I have a two display setup, with my laptop on the left and an external
>>> display on the right.
>>> I'm using the single application mode to open a xfterm4 terminal.
>>> 
>>> When I first open the x2go session, the menus of the xfterm4 terminal
>>> work correct. But if I suspend
>>> the session and then later resume it, the menus of the xfterm4 terminal
>>> open on the wrong display,
>>> on my laptop's display, while the xfterm4 terminal is on the external
>>> display.
>>> 
>>> If I then try to select the menus of the xfterm4 terminal with my mouse,
>>> I can not select the menu items.
>>> I can select them if I open the menus with my keyboard shortcuts.
>>> 
>>> If I move the xfterm4 terminal all the way to the left side of the  
>>> laptop display, the menus of the xfterm4
>>> terminal show in the correct way.
>>> 
>>> I found an existing bug report about a similar problem:
>>> 
>>> https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=417
>>> 
>>> The bug can also be reproduced by using the Linux x2go client running on
>>> the MATE desktop.
>>> 
>>> Best regards,
>>> 
>>> Aki
>>> _______________________________________________
>>> x2go-dev mailing list
>>> [email-masked]
>>> https://lists.x2go.org/listinfo/x2go-dev
>>> --
>>> Diese Nachricht wurde auf Viren und andere gefaehrliche Inhalte untersucht
>>> und ist wahrscheinlich sauber.
>>> 
>>> 
>>> 
>> 
>> Mit freundlichen Grüßen,
>> 
>> Georg Klimm
>> 
>> Lohn24 Abrechnungsgesellschaft mbH
>> Hausanschrift: Jahnstr. 35 * 12347 Berlin
>> Postanschrift: Postfach 47 06 69 * 12315 Berlin
>> Tel: +49 30 6840881-499 * Fax: +49 30 6644208
>> Internet: https://www.lohn24.de
>> AG Berlin-Charlottenburg HRB 92027
>> Geschäftsführer: Hans-Joachim May, Christoph Ludwigs, Hans-Georg Klimm
>> USt-ID: DE233965560
>> _______________________________________________
>> x2go-dev mailing list
>> [email-masked]
>> https://lists.x2go.org/listinfo/x2go-dev